Bug 1277927 (WaylandRelated)

Summary: Tracker for Wayland-related issues
Product: [Fedora] Fedora Reporter: Kamil Páral <kparal>
Component: waylandAssignee: Adam Jackson <ajax>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: ajax, alexey.brodkin, dtimms, fedora, gabriel, jan.public, jeischma, jfrieben, jkonecny, jkoten, jylo06g, marekdolezel, ofourdan, petersen, rcyriac, riehecky, samuel-rhbugs
Target Milestone: ---Keywords: FutureFeature, Tracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1054334, 1218402, 1274451, 1285770, 1289714, 1305699, 1334226, 1349225, 1367666, 1372479, 1377293, 1384560, 1388953, 1393336, 1417098, 1420065, 1500397, 1531880, 1560299, 1065109, 1083514, 1123536, 1134885, 1135661, 1146202, 1148203, 1149905, 1187737, 1193489, 1200414, 1209007, 1211040, 1214318, 1214462, 1214655, 1218425, 1218787, 1229018, 1236389, 1244474, 1249014, 1252630, 1254110, 1255007, 1256443, 1259649, 1265707, 1266484, 1266743, 1266771, 1266791, 1266792, 1271516, 1274634, 1277165, 1277170, 1277723, 1277862, 1278159, 1278316, 1280195, 1281906, 1282028, 1282212, 1282601, 1282614, 1282818, 1282933, 1283223, 1283373, 1283645, 1283689, 1284222, 1284943, 1285092, 1285165, 1285242, 1285342, 1285496, 1285590, 1285919, 1286005, 1286135, 1286217, 1286229, 1286342, 1286343, 1286353, 1287430, 1287864, 1288287, 1288589, 1288847, 1288875, 1288883, 1288931, 1290146, 1290322, 1290425, 1290784, 1291770, 1292832, 1292876, 1293151, 1294229, 1294812, 1295028, 1295029, 1295030, 1295031, 1298371, 1299293, 1300173, 1301898, 1304569, 1305003, 1306306, 1306490, 1306933, 1314208, 1316080, 1319460, 1324139, 1327835, 1328388, 1330510, 1332055, 1334915, 1340603, 1342822, 1342828, 1346040, 1350269, 1351224, 1353422, 1354155, 1358610, 1358700, 1358889, 1361791, 1366897, 1367591, 1367745, 1369216, 1369218, 1372287, 1372311, 1373196, 1373217, 1373372, 1373508, 1373668, 1373809, 1373933, 1374289, 1374321, 1375175, 1375178, 1375560, 1376447, 1376471, 1376569, 1377313, 1377616, 1377741, 1379098, 1379959, 1380894, 1381724, 1384440, 1384482, 1384494, 1384537, 1384569, 1384572, 1384616, 1384637, 1384638, 1384665, 1384671, 1384674, 1384675, 1384678, 1386204, 1386602, 1387620, 1387928, 1387931, 1388750, 1388852, 1388886, 1389327, 1390198, 1390233, 1391418, 1392145, 1392605, 1393425, 1394599, 1394755, 1396827, 1397103, 1397181, 1398556, 1401217, 1402307, 1402962, 1403556, 1403968, 1404008, 1406149, 1408332, 1411203, 1416531, 1417189, 1417394, 1455101, 1456974, 1457112, 1468796, 1469832, 1481627, 1487876, 1491565, 1500399, 1543949, 1563811, 1565931, 1566240, 1575281    
Bug Blocks:    

Description Kamil Páral 2015-11-04 11:22:13 UTC
This is a tracker bug for issues related to Wayland, but not necessarily issues in Wayland itself (but instead bugs in compositors, toolkits and apps). If we want to have Wayland as the default display technology soon, we need to have an overall picture of all that is not working properly with it.

Here's a basic document for debugging Wayland issues:
https://fedoraproject.org/wiki/How_to_debug_Wayland_problems

If you find a bug related to Wayland but not in Wayland itself, set "Blocks: WaylandRelated" in your bug report to make it block this tracker. See
https://bugzilla.redhat.com/showdependencytree.cgi?id=WaylandRelated&hide_resolved=1
to see all such bug reports.

Comment 1 Kamil Páral 2015-11-04 11:30:55 UTC
Here's a similar tracker in GNOME Bugzilla for those who report issues there:
https://bugzilla.gnome.org/show_bug.cgi?id=757579

Comment 2 Leslie Satenstein 2015-11-25 06:32:27 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1285165

Comment 3 Christian Stadelmann 2016-01-13 23:00:35 UTC
Should this tracker bug include KDE-related bugs for plasma-wayland sessions? I'm asking since I finally managed to get plasma-wayland running but it has quite _many_ bugs. And because KDE/Plasma is not the primary Fedora desktop environment, of course. If not: Should we have a separate tracker bug for KDE wayland issues?

Comment 4 Kamil Páral 2016-01-14 09:37:38 UTC
Christian, good question. This tracker was meant to help with "Wayland by default in Fedora Workstation" feature, which means GNOME. But it certainly makes sense to have a similar tracker for KDE. I have created bug 1298494 for these purposes with KDEWaylandTracker alias, please use that one for KDE+Wayland issues. Thanks for your work on this.

Comment 5 Marek Doležel 2016-01-15 19:04:34 UTC
I have accidentally changed state.

Comment 6 Leslie Satenstein 2016-03-15 12:39:26 UTC
 sudo gparted /dev/sde
No protocol specified

[08:34 leslie ~]$ sudo gparted
No protocol specified

(gpartedbin:375): Gtk-WARNING **: cannot open display: :1

From a Gnome terminal, I want to invoke gparted.
I have 5 disks, and want to use gparated against one of them.

Until this action from terminal is enabled I will not be able to do adequate Wayland testing.

Comment 7 Samuel Sieb 2016-03-15 17:52:27 UTC
Leslie, this is a tracker bug.  You need to file separate bugs, not commenting in this one.  There is already a bug filed about your problem.  Please see bug 1274451.

Comment 8 Leslie Satenstein 2016-03-17 16:15:54 UTC
Samuel

From the Gnome command line, and X11,

sudo gparted  will start gparted 

example:  sudo gparted /dev/sdb    to graphically present /dev/sdb

But with Wayland

This item is broken.  It has to be fixed to support Gnome and Wayland.

Comment 9 Samuel Sieb 2016-03-17 18:35:39 UTC
Leslie, yes, we know.  This bug is not for discussing specific issues.

Go to https://bugzilla.redhat.com/show_bug.cgi?id=1274451 to follow the progress on that particular issue with sudo.

Comment 10 Leslie Satenstein 2016-04-07 12:38:22 UTC
Bug 1318473

I pointed out a change in functionality regarding the adding of UUIDs to fstab.

It is very important to realize that the way it is done with F23 and earlier versions needs to be incorporated into F24 (Undo the changes that breaks the exiting way)

Consequences of not doing it. DNF release upgrade.

When we will run DNF to upgrade the system f23->f24, and this issue is not resolved, the updated system may fail to boot. That will be due to the fstab rules for F24. It does not match F23 and it's predecessors.

Comment 11 Kamil Páral 2016-04-08 14:16:26 UTC
Leslie, bug 1318473 is not related to Wayland. This is a tracker bug for *Wayland*. Also, it is a *tracker* bug, which means discussion happens in individual bugs blocking this one, not here (which you have been informed of twice already). Please don't make this bug tracker a mess, there are people following it. Thank you.